=== debian/changelog ===
pure-doc (0.6-2) natty; urgency=low

  * Latest upstream (rev. 3ae82900eb49)

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 22 May 2012 11:27:21 +0200

pure-doc (0.6-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 21 May 2012 15:57:44 +0200
