=== debian/control ===
Source: pure-doc
Section: devel
Priority: extra
Maintainer: Albert Graef <Dr.Graef@t-online.de>
Build-Depends: debhelper (>= 7.0.50~), flex
Standards-Version: 3.9.1
Homepage: http://pure-lang.googlecode.com
#Vcs-Git: git://git.debian.org/collab-maint/pure-doc.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/pure-doc.git;a=summary

Package: pure-doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Literate programming utility for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a simple utility for literate programming
 and documenting source code written in the Pure programming language.
